> ## Documentation Index
> Fetch the complete documentation index at: https://dom-6a1f70d6.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Lister Adresses



## OpenAPI

````yaml openapi.json get /adresses/
openapi: 3.0.3
info:
  title: DELIVERY API
  description: API pour la plateforme fournissant une api de gestion de livraison
  version: 1.0.0
servers: []
security: []
paths:
  /adresses/:
    get:
      tags:
        - Adresses
        - Adresses
      summary: Lister Adresses
      operationId: lister_adresses_adresses__get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/AdresseRead'
                type: array
                title: Response Lister Adresses Adresses  Get
components:
  schemas:
    AdresseRead:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        pays:
          type: string
          title: Pays
        ville:
          type: string
          title: Ville
        position_point_wkt:
          type: string
          title: Position Point Wkt
        zone_polygone_wkt:
          anyOf:
            - type: string
            - nullable: true
          title: Zone Polygone Wkt
        utilisateur_id:
          anyOf:
            - type: string
              format: uuid
            - nullable: true
          title: Utilisateur Id
        marchand_id:
          anyOf:
            - type: string
              format: uuid
            - nullable: true
          title: Marchand Id
        livreur_id:
          anyOf:
            - type: string
              format: uuid
            - nullable: true
          title: Livreur Id
        client_id:
          anyOf:
            - type: string
              format: uuid
            - nullable: true
          title: Client Id
      type: object
      required:
        - id
        - pays
        - ville
        - position_point_wkt
        - utilisateur_id
        - marchand_id
        - livreur_id
        - client_id
      title: AdresseRead

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.